<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar  class="blvs-title">
  <span style="margin-left: 15px">
    <h1 class="mat-h1">Vertical Service Blueprints</h1></span>
</mat-toolbar>
<mat-tab-group [(selectedIndex)]="selectedIndex" class="blvs-container" id="blvs-con" >
  <mat-tab label="View" > 
    <div style=" padding: 30px;" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" >
      <table mat-table class="full-width-table blvs-table full-width-table-xs" matSort aria-label="Elements" >
        <!-- Id Column -->
        <ng-container matColumnDef="id">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
          <td mat-cell *matCellDef="let row"><b>{{row.verticalServiceBlueprintId}}</b></td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
          <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
        </ng-container>

        <!-- Version Column -->
        <ng-container matColumnDef="version">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Version</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.version}}</td>
        </ng-container>

        <!-- testbed Column -->
        <ng-container matColumnDef="testbed">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Testbed</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.testbed}}</td>
        </ng-container>

        <!-- Description Column -->
   
        <ng-container matColumnDef="description" >
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef >Description</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.vsBlueprint.description}}</td>
        </ng-container>

        <!-- Configurable Parameters Column -->
        <ng-container matColumnDef="conf_params">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Configurable Parameters</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row"><tr *ngFor="let param of row.vsBlueprint.parameters"><td> - {{param.parameterName}}</td></tr></td>
        </ng-container>

        <!-- VSDs Column -->
        <ng-container matColumnDef="vsds">
          <th fxShow.xs="false"  mat-header-cell *matHeaderCellDef>VSDs</th>
          <td fxShow.xs="false"  mat-cell *matCellDef="let row">
            <!--tr *ngFor="let name of row.activeVsdId"><td> - {{name}}</td></tr-->
            <tr *ngFor="let name of idToVsdIds.get(row.verticalServiceBlueprintId) | keyvalue"><td>
              <a  style="color: black" (click)="viewVsDescriptor(name.key)">{{name.value}}</a>
            </td>
          </tr>
          </td>
        </ng-container>

        <!-- Button Column -->
        <!-- <ng-container matColumnDef="buttons">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let row">
            <span  value="view_blueprint" (click)="viewVsBlueprintGraph(row.verticalServiceBlueprintId)"><i class="fa fa-eye fa-2x" aria-hidden="true" style="padding: 6px;"></i></span>
            <span   value="delete" (click)="deleteVsBlueprint(row.verticalServiceBlueprintId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
            <span value="forcedelete_experiment" (click)="forcedeleteVsBlueprint(row.verticalServiceBlueprintId)"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></span>
          </td>
        </ng-container> -->
        <ng-container matColumnDef="view">
          <th mat-header-cell *matHeaderCellDef>View</th>
          <td mat-cell *matCellDef="let row">
              <!-- <mat-button-toggle-group name="operations" aria-label="Operations" class="margin-all"> -->
              <!-- <mat-button-toggle  style="background-color: #b3b3b3;" value="view_blueprint" (click)="viewVsBlueprintGraph(row.vsBlueprintId)"><mat-icon>remove_red_eye</mat-icon></mat-button-toggle>
              <mat-button-toggle  style="background-color: #b3b3b3;" value="delete" (click)="deleteVsBlueprint(row.vsBlueprintId)"><mat-icon >delete_forever</mat-icon></mat-button-toggle> -->
              
              <span  value="view_blueprint" (click)="viewVsBlueprintGraph(row.verticalServiceBlueprintId)"><i class="fa fa-eye fa-2x" aria-hidden="true"></i></span>
              
              <!-- <span   value="delete" (click)="deleteVsBlueprint(row.netAppPackageId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span> -->
              
          </td>
          </ng-container>
          <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef>Delete</th>
              <td mat-cell *matCellDef="let row">
                  <span   value="delete" (click)="deleteVsBlueprint(row.verticalServiceBlueprintId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
                  </td>
              </ng-container>
              <ng-container matColumnDef="forcedelete">
                  <th mat-header-cell *matHeaderCellDef>Force delete</th>
                  <td mat-cell *matCellDef="let row">
                <span value="forcedelete_experiment" (click)="forcedeleteVsBlueprint(row.verticalServiceBlueprintId)"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></span>
                  <!-- </mat-button-toggle-group> -->
                  </td>
                  </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

      <mat-paginator #paginator
          [length]="dataSource?.data.length"
          [pageIndex]="0"
          [pageSize]="50"
          [pageSizeOptions]="[25, 50, 100, 250]"
          class="blvs-table">
      </mat-paginator>
    </div>
  </mat-tab>
  <mat-tab  class="blvs-table" label="Onboard" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
    <div style="padding: 30px;" >
      <app-blueprints-vs-stepper></app-blueprints-vs-stepper>
    </div>
  </mat-tab>
</mat-tab-group>

